Loading...
Searching...
No Matches
DSFMap.h File Reference

Allow for arbitrary type in DSF. More...

Go to the source code of this file.

## Classes

class | gtsam::DSFMap< KEY >
| Disjoint set forest using an STL map data structure underneath Uses rank compression and union by rank, iterator version. More...
struct | gtsam::DSFMap< KEY >::Entry
| We store the forest in an STL map, but parents are done with pointers. More...
class | gtsam::IndexPair
| Small utility class for representing a wrappable pairs of ints. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Typedefs

typedef std::vector< IndexPair > | gtsam::IndexPairVector
typedef std::set< IndexPair > | gtsam::IndexPairSet
typedef std::map< IndexPair, IndexPairSet > | gtsam::IndexPairSetMap
typedef DSFMap< IndexPair > | gtsam::DSFMapIndexPair

## Functions

IndexPairVector | gtsam::IndexPairSetAsArray (IndexPairSet &set)

## Detailed Description

Allow for arbitrary type in DSF.

Date
  Oct 26, 2013

Author
  Frank Dellaert